# std::tuple< _T1, _T2 > Class Template Reference

List of all members.

## Detailed Description

### template<typename _T1, typename _T2>
class std::tuple< _T1, _T2 >

tuple (2-element), with construction and assignment from a pair.

Definition at line 285 of file tuple.

## Public Member Functions

- template<typename _U1, typename _U2> tuple & operator= (pair< _U1, _U2 > &&__in)
- template<typename _U1, typename _U2> tuple & operator= (const pair< _U1, _U2 > &__in)
- template<typename _U1, typename _U2> tuple & operator= (tuple< _U1, _U2 > &&__in)
- template<typename _U1, typename _U2> tuple & operator= (const tuple< _U1, _U2 > &__in)
- tuple & operator= (tuple &&__in)
- tuple & operator= (const tuple &__in)
- template<typename _U1, typename _U2> tuple (pair< _U1, _U2 > &&__in)
- template<typename _U1, typename _U2> tuple (const pair< _U1, _U2 > &__in)
- template<typename _U1, typename _U2> tuple (tuple< _U1, _U2 > &&__in)
- template<typename _U1, typename _U2> tuple (const tuple< _U1, _U2 > &__in)
- tuple (tuple &&__in)
- tuple (const tuple &__in)
- template<typename _U1, typename _U2> tuple (_U1 &&__a1, _U2 &&__a2)
- tuple (const _T1 &__a1, const _T2 &__a2)
- tuple ()

The documentation for this class was generated from the following file:

- tuple